tigase.util

## Class ProcessingThreads<E extends WorkerThread>

- java.lang.Object
- - tigase.util.ProcessingThreads<E>

- Type Parameters:
    `E` -

      public class ProcessingThreads<E extends WorkerThread>
      extends Object

  Created: Apr 21, 2009 8:50:50 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessingThreads(E worker, int numWorkerThreads, int maxQueueSize, String name)` Constructs ...

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addItem(XMPPProcessorIfc processor, Packet packet, XMPPResourceConnection conn)` Method description
    `long` | `getAverageProcessingTime()` Method description
    `long` | `getDroppedPackets()` Method description
    `String` | `getName()` Method description
    `int` | `getTotalQueueSize()` Method description
    `int` | `getTotalRuns()` Method description
    `void` | `shutdown()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessingThreads

          public ProcessingThreads(E worker,
                           int numWorkerThreads,
                           int maxQueueSize,
                           String name)
                            throws ClassNotFoundException,
                                   InstantiationException,
                                   IllegalAccessException

      Constructs ...
      Parameters:
        `worker` -
        `numWorkerThreads` -
        `maxQueueSize` -
        `name` -
      Throws:
        `ClassNotFoundException`
        `InstantiationException`
        `IllegalAccessException`

  - ### Method Detail

    - #### addItem

          public boolean addItem(XMPPProcessorIfc processor,
                        Packet packet,
                        XMPPResourceConnection conn)

      Method description
      Parameters:
        `processor` -
        `packet` -
        `conn` -
      Returns:

    - #### getAverageProcessingTime

          public long getAverageProcessingTime()

      Method description
      Returns:

    - #### getDroppedPackets

          public long getDroppedPackets()

      Method description
      Returns:

    - #### getName

          public String getName()

      Method description
      Returns:

    - #### getTotalQueueSize

          public int getTotalQueueSize()

      Method description
      Returns:

    - #### getTotalRuns

          public int getTotalRuns()

      Method description
      Returns:

    - #### shutdown

          public void shutdown()

Copyright © 2013 Tigase. All rights reserved.